org.apache.ignite.internal.visor.node

## Class VisorPersistentStoreConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorPersistentStoreConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorPersistentStoreConfiguration
    extends VisorDataTransferObject

DTO object for `DataStorageConfiguration`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorPersistentStoreConfiguration()` Default constructor.
`VisorPersistentStoreConfiguration(DataStorageConfiguration cfg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCheckpointingFrequency()`
`long` `getCheckpointingPageBufferSize()`
`int` `getCheckpointingThreads()`
`long` `getLockWaitTime()`
`String` `getPersistentStorePath()`
`long` `getRateTimeInterval()`
`int` `getSubIntervals()`
`int` `getTlbSize()`
`String` `getWalArchivePath()`
`long` `getWalFlushFrequency()`
`long` `getWalFsyncDelayNanos()` Gets the fsync delay, in nanoseconds.
`int` `getWalHistorySize()`
`WALMode` `getWalMode()`
`int` `getWalRecordIteratorBufferSize()`
`int` `getWalSegments()`
`int` `getWalSegmentSize()`
`String` `getWalStorePath()`
`boolean` `isAlwaysWriteFullPages()`
`boolean` `isMetricsEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorPersistentStoreConfiguration

    public VisorPersistentStoreConfiguration()

Default constructor.

#### VisorPersistentStoreConfiguration

    public VisorPersistentStoreConfiguration(DataStorageConfiguration cfg)

Parameters:
  `cfg` - Persistent store configuration.

### Method Detail

#### getPersistentStorePath

    public String getPersistentStorePath()

Returns:
  Path the root directory where the Persistent Store will persist data and indexes.

#### getCheckpointingFrequency

    public long getCheckpointingFrequency()

Returns:
  Checkpointing frequency in milliseconds.

#### getCheckpointingPageBufferSize

    public long getCheckpointingPageBufferSize()

Returns:
  Checkpointing page buffer size in bytes.

#### getCheckpointingThreads

    public int getCheckpointingThreads()

Returns:
  Number of checkpointing threads.

#### getLockWaitTime

    public long getLockWaitTime()

Returns:
  Time for wait.

#### getWalHistorySize

    public int getWalHistorySize()

Returns:
  Number of WAL segments to keep after a checkpoint is finished.

#### getWalSegments

    public int getWalSegments()

Returns:
  Number of work WAL segments.

#### getWalSegmentSize

    public int getWalSegmentSize()

Returns:
  WAL segment size.

#### getWalStorePath

    public String getWalStorePath()

Returns:
  WAL persistence path, absolute or relative to Ignite work directory.

#### getWalArchivePath

    public String getWalArchivePath()

Returns:
  WAL archive directory.

#### isMetricsEnabled

    public boolean isMetricsEnabled()

Returns:
  Metrics enabled flag.

#### getRateTimeInterval

    public long getRateTimeInterval()

Returns:
  Time interval in milliseconds.

#### getSubIntervals

    public int getSubIntervals()

Returns:
  The number of sub-intervals for history tracking.

#### getWalMode

    public WALMode getWalMode()

Returns:
  WAL mode.

#### getTlbSize

    public int getTlbSize()

Returns:
  Thread local buffer size.

#### getWalFlushFrequency

    public long getWalFlushFrequency()

Returns:
  Flush frequency.

#### getWalFsyncDelayNanos

    public long getWalFsyncDelayNanos()

Gets the fsync delay, in nanoseconds.

#### getWalRecordIteratorBufferSize

    public int getWalRecordIteratorBufferSize()

Returns:
  Record iterator buffer size.

#### isAlwaysWriteFullPages

    public boolean isAlwaysWriteFullPages()

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022